Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.lwjgl
Class NondirectBufferWrapper

    java.lang.Object
      org.lwjgl.NondirectBufferWrapper

    public final class NondirectBufferWrapper

extends java.lang.Object

Utility class to cache thread local direct buffers so when we are passed a non-direct buffer, we can put its contents into a cached direct buffer and use that at the native side instead. Internal class, don't use.

Version:
  $Revision: 2762 $ $Id: BufferChecks.java 2762 2007-04-11 16:13:05Z elias_naur $
Author:
  elias_naur

Constructor Summary
`NondirectBufferWrapper()`

Method Summary
`static void` | `copy(java.nio.ByteBuffer src, java.nio.ByteBuffer dst)`
`static void` | `copy(java.nio.DoubleBuffer src, java.nio.DoubleBuffer dst)`
`static void` | `copy(java.nio.FloatBuffer src, java.nio.FloatBuffer dst)`
`static void` | `copy(java.nio.IntBuffer src, java.nio.IntBuffer dst)`
`static void` | `copy(java.nio.LongBuffer src, java.nio.LongBuffer dst)`
`static void` | `copy(java.nio.ShortBuffer src, java.nio.ShortBuffer dst)`
`static java.nio.ByteBuffer` | `wrapBuffer(java.nio.ByteBuffer buf, int size)`
`static java.nio.DoubleBuffer` | `wrapBuffer(java.nio.DoubleBuffer buf, int size)`
`static java.nio.FloatBuffer` | `wrapBuffer(java.nio.FloatBuffer buf, int size)`
`static java.nio.IntBuffer` | `wrapBuffer(java.nio.IntBuffer buf, int size)`
`static java.nio.LongBuffer` | `wrapBuffer(java.nio.LongBuffer buf, int size)`
`static java.nio.ShortBuffer` | `wrapBuffer(java.nio.ShortBuffer buf, int size)`
`static java.nio.ByteBuffer` | `wrapDirect(java.nio.ByteBuffer buffer)`
`static java.nio.DoubleBuffer` | `wrapDirect(java.nio.DoubleBuffer buffer)`
`static java.nio.FloatBuffer` | `wrapDirect(java.nio.FloatBuffer buffer)`
`static java.nio.IntBuffer` | `wrapDirect(java.nio.IntBuffer buffer)`
`static java.nio.LongBuffer` | `wrapDirect(java.nio.LongBuffer buffer)`
`static java.nio.ShortBuffer` | `wrapDirect(java.nio.ShortBuffer buffer)`
`static java.nio.ByteBuffer` | `wrapNoCopyBuffer(java.nio.ByteBuffer buf, int size)`
`static java.nio.DoubleBuffer` | `wrapNoCopyBuffer(java.nio.DoubleBuffer buf, int size)`
`static java.nio.FloatBuffer` | `wrapNoCopyBuffer(java.nio.FloatBuffer buf, int size)`
`static java.nio.IntBuffer` | `wrapNoCopyBuffer(java.nio.IntBuffer buf, int size)`
`static java.nio.LongBuffer` | `wrapNoCopyBuffer(java.nio.LongBuffer buf, int size)`
`static java.nio.ShortBuffer` | `wrapNoCopyBuffer(java.nio.ShortBuffer buf, int size)`
`static java.nio.ByteBuffer` | `wrapNoCopyDirect(java.nio.ByteBuffer buffer)`
`static java.nio.DoubleBuffer` | `wrapNoCopyDirect(java.nio.DoubleBuffer buffer)`
`static java.nio.FloatBuffer` | `wrapNoCopyDirect(java.nio.FloatBuffer buffer)`
`static java.nio.IntBuffer` | `wrapNoCopyDirect(java.nio.IntBuffer buffer)`
`static java.nio.LongBuffer` | `wrapNoCopyDirect(java.nio.LongBuffer buffer)`
`static java.nio.ShortBuffer` | `wrapNoCopyDirect(java.nio.ShortBuffer buffer)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### NondirectBufferWrapper

    public NondirectBufferWrapper()

Method Detail

### wrapNoCopyBuffer

    public static java.nio.ByteBuffer wrapNoCopyBuffer(java.nio.ByteBuffer buf,
                                                       int size)

### wrapNoCopyBuffer

    public static java.nio.ShortBuffer wrapNoCopyBuffer(java.nio.ShortBuffer buf,
                                                        int size)

### wrapNoCopyBuffer

    public static java.nio.IntBuffer wrapNoCopyBuffer(java.nio.IntBuffer buf,
                                                      int size)

### wrapNoCopyBuffer

    public static java.nio.LongBuffer wrapNoCopyBuffer(java.nio.LongBuffer buf,
                                                       int size)

### wrapNoCopyBuffer

    public static java.nio.FloatBuffer wrapNoCopyBuffer(java.nio.FloatBuffer buf,
                                                        int size)

### wrapNoCopyBuffer

    public static java.nio.DoubleBuffer wrapNoCopyBuffer(java.nio.DoubleBuffer buf,
                                                         int size)

### wrapBuffer

    public static java.nio.ByteBuffer wrapBuffer(java.nio.ByteBuffer buf,
                                                 int size)

### wrapBuffer

    public static java.nio.ShortBuffer wrapBuffer(java.nio.ShortBuffer buf,
                                                  int size)

### wrapBuffer

    public static java.nio.IntBuffer wrapBuffer(java.nio.IntBuffer buf,
                                                int size)

### wrapBuffer

    public static java.nio.LongBuffer wrapBuffer(java.nio.LongBuffer buf,
                                                 int size)

### wrapBuffer

    public static java.nio.FloatBuffer wrapBuffer(java.nio.FloatBuffer buf,
                                                  int size)

### wrapBuffer

    public static java.nio.DoubleBuffer wrapBuffer(java.nio.DoubleBuffer buf,
                                                   int size)

### wrapDirect

    public static java.nio.ByteBuffer wrapDirect(java.nio.ByteBuffer buffer)

### wrapDirect

    public static java.nio.ShortBuffer wrapDirect(java.nio.ShortBuffer buffer)

### wrapDirect

    public static java.nio.FloatBuffer wrapDirect(java.nio.FloatBuffer buffer)

### wrapDirect

    public static java.nio.IntBuffer wrapDirect(java.nio.IntBuffer buffer)

### wrapDirect

    public static java.nio.LongBuffer wrapDirect(java.nio.LongBuffer buffer)

### wrapDirect

    public static java.nio.DoubleBuffer wrapDirect(java.nio.DoubleBuffer buffer)

### wrapNoCopyDirect

    public static java.nio.ByteBuffer wrapNoCopyDirect(java.nio.ByteBuffer buffer)

### wrapNoCopyDirect

    public static java.nio.ShortBuffer wrapNoCopyDirect(java.nio.ShortBuffer buffer)

### wrapNoCopyDirect

    public static java.nio.FloatBuffer wrapNoCopyDirect(java.nio.FloatBuffer buffer)

### wrapNoCopyDirect

    public static java.nio.IntBuffer wrapNoCopyDirect(java.nio.IntBuffer buffer)

### wrapNoCopyDirect

    public static java.nio.LongBuffer wrapNoCopyDirect(java.nio.LongBuffer buffer)

### wrapNoCopyDirect

    public static java.nio.DoubleBuffer wrapNoCopyDirect(java.nio.DoubleBuffer buffer)

### copy

    public static void copy(java.nio.ByteBuffer src,
                            java.nio.ByteBuffer dst)

### copy

    public static void copy(java.nio.ShortBuffer src,
                            java.nio.ShortBuffer dst)

### copy

    public static void copy(java.nio.IntBuffer src,
                            java.nio.IntBuffer dst)

### copy

    public static void copy(java.nio.FloatBuffer src,
                            java.nio.FloatBuffer dst)

### copy

    public static void copy(java.nio.LongBuffer src,
                            java.nio.LongBuffer dst)

### copy

    public static void copy(java.nio.DoubleBuffer src,
                            java.nio.DoubleBuffer dst)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002-2006 lwjgl.org. All Rights Reserved.